# Type Alias RTMessage<T, F>

type RTMessage<T extends keyof Namespaces, F extends Namespaces[T]> = {
function: F;
namespace: T;
}

#### Type Parameters

- T extends keyof Namespaces
- F extends Namespaces[T]

- Defined in jamespot-user-api/src/types/realtime.ts:116

##### Index

### Properties

function
namespace

## Properties

### function

function: F

- Defined in jamespot-user-api/src/types/realtime.ts:118

### namespace

namespace: T

- Defined in jamespot-user-api/src/types/realtime.ts:117